/***************************************************************
  
        bwd_cmd.c       Unique short names for CMS/MVS
                        for Bywater BASIC Interpreter
  
                        Copyright (c) 1993, Ted A. Campbell
                        Bywater Software
  
                        email: tcamp@delphi.com
  
        Copyright and Permissions Information:
  
        All U.S. and international rights are claimed by the author,
        Ted A. Campbell.
  
   This software is released under the terms of the GNU General
   Public License (GPL), which is distributed with this software
   in the file "COPYING".  The GPL specifies the terms under
   which users may copy and use the software in this distribution.
  
   A separate license is available for commercial distribution,
   for information on which you should contact the author.
  
***************************************************************/

/*---------------------------------------------------------------*/
/* NOTE: Modifications marked "JBV" were made by Jon B. Volkoff, */
/* 11/1995 (eidetics@cerf.net).                                  */
/*                                                               */
/* Those additionally marked with "DD" were at the suggestion of */
/* Dale DePriest (daled@cadence.com).                            */
/*                                                               */
/* Version 3.00 by Howard Wulf, AF5NE                            */
/*                                                               */
/* Version 3.10 by Howard Wulf, AF5NE                            */
/*                                                               */
/* Version 3.20 by Howard Wulf, AF5NE                            */
/*                                                               */
/*---------------------------------------------------------------*/



/* Unique Short Name Definitions */


#define Char_to_TypeCode                 X00000
#define CleanLine                        X00001
#define Determinant                      X00002
#define DumpAllCommandHtmlTable          X00003
#define DumpAllCommandSwitchStatement    X00004
#define DumpAllCommandSyntax             X00005
#define DumpAllCommandTableDefinitions   X00006
#define DumpAllCommandUniqueID           X00007
#define DumpAllFuctionTableDefinitions   X00008
#define DumpAllFunctionHtmlTable         X00009
#define DumpAllFunctionSwitch            X0000A
#define DumpAllFunctionSyntax            X0000B
#define DumpAllFunctionUniqueID          X0000C
#define DumpAllOperatorSyntax            X0000D
#define DumpHeader                       X0000E
#define DumpOneCommandSyntax             X0000F
#define DumpOneFunctionSyntax            X00010
#define DumpOneOperatorSyntax            X00011
#define FixDescription                   X00012
#define FormatBasicNumber                X00013
#define GetOnError                       X00014
#define IntrinsicCommandTable            X00015
#define IntrinsicFunctionDefinitionCheck X00016
#define IntrinsicFunctionSyntax          X00017
#define IntrinsicFunctionTable           X00018
#define IntrinsicFunctionUniqueID        X00019
#define IntrinsicFunction_deffn          X0001A
#define IntrinsicFunction_execute        X0001B
#define IntrinsicFunction_find_exact     X0001C
#define IntrinsicFunction_init           X0001D
#define IntrinsicFunction_name           X0001E
#define InvertMatrix                     X0001F
#define IsLastKeyword                    X00020
#define IsLike                           X00021
#define My                               X00022
#define NUM_COMMANDS                     X00023
#define NUM_FUNCTIONS                    X00024
#define NUM_VERSIONS                     X00025
#define NumberValueCheck                 X00026
#define OptionVersionSet                 X00027
#define ResetConsoleColumn               X00028
#define SetOnError                       X00029
#define SortAllCommands                  X0002A
#define SortAllFunctions                 X0002B
#define SortAllOperators                 X0002C
#define StringLengthCheck                X0002D
#define TypeCode_to_Char                 X0002E
#define UserFunction_add                 X0002F
#define UserFunction_addlocalvar         X00030
#define UserFunction_find_exact          X00031
#define UserFunction_init                X00032
#define UserFunction_name                X00033
#define VarTypeIndex                     X00034
#define binary_get_put                   X00035
#define buff_is_eol                      X00036
#define buff_peek_EqualChar              X00037
#define buff_peek_LparenChar             X00038
#define buff_peek_QuoteChar              X00039
#define buff_peek_array_dimensions       X0003A
#define buff_peek_char                   X0003B
#define buff_peek_word                   X0003C
#define buff_read_array_dimensions       X0003D
#define buff_read_array_redim            X0003E
#define buff_read_decimal_constant       X0003F
#define buff_read_expression             X00040
#define buff_read_hexadecimal_constant   X00041
#define buff_read_index_item             X00042
#define buff_read_integer_expression     X00043
#define buff_read_label                  X00044
#define buff_read_letter_sequence        X00045
#define buff_read_line_number            X00046
#define buff_read_line_sequence          X00047
#define buff_read_matrix                 X00048
#define buff_read_numeric_expression     X00049
#define buff_read_octal_constant         X0004A
#define buff_read_scalar                 X0004B
#define buff_read_string_expression      X0004C
#define buff_read_type_declaration       X0004D
#define buff_read_varname                X0004E
#define buff_skip_AtChar                 X0004F
#define buff_skip_CommaChar              X00050
#define buff_skip_EqualChar              X00051
#define buff_skip_FilenumChar            X00052
#define buff_skip_LparenChar             X00053
#define buff_skip_MinusChar              X00054
#define buff_skip_PlusChar               X00055
#define buff_skip_RparenChar             X00056
#define buff_skip_SemicolonChar          X00057
#define buff_skip_StarChar               X00058
#define buff_skip_char                   X00059
#define buff_skip_eol                    X0005A
#define buff_skip_seperator              X0005B
#define buff_skip_spaces                 X0005C
#define buff_skip_word                   X0005D
#define bwb_APPEND                       X0005E
#define bwb_AS                           X0005F
#define bwb_AUTO                         X00060
#define bwb_BACKSPACE                    X00061
#define bwb_BREAK                        X00062
#define bwb_BUILD                        X00063
#define bwb_BYE                          X00064
#define bwb_CALL                         X00065
#define bwb_CASE                         X00066
#define bwb_CASE_ELSE                    X00067
#define bwb_CHAIN                        X00068
#define bwb_CHANGE                       X00069
#define bwb_CLEAR                        X0006A
#define bwb_CLOAD                        X0006B
#define bwb_CLOAD8                       X0006C
#define bwb_CLOSE                        X0006D
#define bwb_CLR                          X0006E
#define bwb_CMDS                         X0006F
#define bwb_COMMON                       X00070
#define bwb_CONSOLE                      X00071
#define bwb_CONST                        X00072
#define bwb_CONT                         X00073
#define bwb_CONTINUE                     X00074
#define bwb_COPY                         X00075
#define bwb_CREATE                       X00076
#define bwb_CSAVE                        X00077
#define bwb_CSAVE8                       X00078
#define bwb_DATA                         X00079
#define bwb_DEC                          X0007A
#define bwb_DEF                          X0007B
#define bwb_DEF8LBL                      X0007C
#define bwb_DEFBYT                       X0007D
#define bwb_DEFCUR                       X0007E
#define bwb_DEFDBL                       X0007F
#define bwb_DEFINT                       X00080
#define bwb_DEFLNG                       X00081
#define bwb_DEFSNG                       X00082
#define bwb_DEFSTR                       X00083
#define bwb_DELETE                       X00084
#define bwb_DELIMIT                      X00085
#define bwb_DIM                          X00086
#define bwb_DISPLAY                      X00087
#define bwb_DO                           X00088
#define bwb_DOS                          X00089
#define bwb_DSP                          X0008A
#define bwb_EDIT                         X0008B
#define bwb_ELSE                         X0008C
#define bwb_ELSEIF                       X0008D
#define bwb_END                          X0008E
#define bwb_END_FUNCTION                 X0008F
#define bwb_END_IF                       X00090
#define bwb_END_SELECT                   X00091
#define bwb_END_SUB                      X00092
#define bwb_ERASE                        X00093
#define bwb_EXCHANGE                     X00094
#define bwb_EXIT                         X00095
#define bwb_EXIT_DO                      X00096
#define bwb_EXIT_FOR                     X00097
#define bwb_EXIT_FUNCTION                X00098
#define bwb_EXIT_REPEAT                  X00099
#define bwb_EXIT_SUB                     X0009A
#define bwb_EXIT_WHILE                   X0009B
#define bwb_FEND                         X0009C
#define bwb_FIELD                        X0009D
#define bwb_FILE                         X0009E
#define bwb_FILES                        X0009F
#define bwb_FLEX                         X000A0
#define bwb_FNCS                         X000A1
#define bwb_FNEND                        X000A2
#define bwb_FOR                          X000A3
#define bwb_FUNCTION                     X000A4
#define bwb_GET                          X000A5
#define bwb_GO                           X000A6
#define bwb_GOODBYE                      X000A7
#define bwb_GOSUB                        X000A8
#define bwb_GOTO                         X000A9
#define bwb_GO_SUB                       X000AA
#define bwb_GO_TO                        X000AB
#define bwb_HELP                         X000AC
#define bwb_IF                           X000AD
#define bwb_IF8THEN                      X000AE
#define bwb_IF_END                       X000AF
#define bwb_IF_MORE                      X000B0
#define bwb_IMAGE                        X000B1
#define bwb_INC                          X000B2
#define bwb_INPUT                        X000B3
#define bwb_INPUT_LINE                   X000B4
#define bwb_LET                          X000B5
#define bwb_LINE                         X000B6
#define bwb_LINE_INPUT                   X000B7
#define bwb_LIST                         X000B8
#define bwb_LISTNH                       X000B9
#define bwb_LLIST                        X000BA
#define bwb_LOAD                         X000BB
#define bwb_LOCAL                        X000BC
#define bwb_LOOP                         X000BD
#define bwb_LPRINT                       X000BE
#define bwb_LPRINTER                     X000BF
#define bwb_LPT                          X000C0
#define bwb_LSET                         X000C1
#define bwb_MAINTAINER                   X000C2
#define bwb_MAINTAINER_CMDS              X000C3
#define bwb_MAINTAINER_CMDS_HTML         X000C4
#define bwb_MAINTAINER_CMDS_ID           X000C5
#define bwb_MAINTAINER_CMDS_MANUAL       X000C6
#define bwb_MAINTAINER_CMDS_SWITCH       X000C7
#define bwb_MAINTAINER_CMDS_TABLE        X000C8
#define bwb_MAINTAINER_DEBUG             X000C9
#define bwb_MAINTAINER_DEBUG_OFF         X000CA
#define bwb_MAINTAINER_DEBUG_ON          X000CB
#define bwb_MAINTAINER_FNCS              X000CC
#define bwb_MAINTAINER_FNCS_HTML         X000CD
#define bwb_MAINTAINER_FNCS_ID           X000CE
#define bwb_MAINTAINER_FNCS_MANUAL       X000CF
#define bwb_MAINTAINER_FNCS_SWITCH       X000D0
#define bwb_MAINTAINER_FNCS_TABLE        X000D1
#define bwb_MAINTAINER_MANUAL            X000D2
#define bwb_MAINTAINER_STACK             X000D3
#define bwb_MARGIN                       X000D4
#define bwb_MAT                          X000D5
#define bwb_MAT_GET                      X000D6
#define bwb_MAT_INPUT                    X000D7
#define bwb_MAT_PRINT                    X000D8
#define bwb_MAT_PUT                      X000D9
#define bwb_MAT_READ                     X000DA
#define bwb_MAT_WRITE                    X000DB
#define bwb_MERGE                        X000DC
#define bwb_MID4                         X000DD
#define bwb_MON                          X000DE
#define bwb_NAME                         X000DF
#define bwb_NEW                          X000E0
#define bwb_NEXT                         X000E1
#define bwb_OF                           X000E2
#define bwb_OLD                          X000E3
#define bwb_ON                           X000E4
#define bwb_ON_ERROR                     X000E5
#define bwb_ON_ERROR_GOSUB               X000E6
#define bwb_ON_ERROR_GOTO                X000E7
#define bwb_ON_ERROR_RESUME              X000E8
#define bwb_ON_ERROR_RESUME_NEXT         X000E9
#define bwb_ON_ERROR_RETURN              X000EA
#define bwb_ON_ERROR_RETURN_NEXT         X000EB
#define bwb_ON_TIMER                     X000EC
#define bwb_OPEN                         X000ED
#define bwb_OPTION                       X000EE
#define bwb_OPTION_ANGLE                 X000EF
#define bwb_OPTION_ANGLE_DEGREES         X000F0
#define bwb_OPTION_ANGLE_GRADIANS        X000F1
#define bwb_OPTION_ANGLE_RADIANS         X000F2
#define bwb_OPTION_ARITHMETIC            X000F3
#define bwb_OPTION_ARITHMETIC_DECIMAL    X000F4
#define bwb_OPTION_ARITHMETIC_FIXED      X000F5
#define bwb_OPTION_ARITHMETIC_NATIVE     X000F6
#define bwb_OPTION_BASE                  X000F7
#define bwb_OPTION_BUGS                  X000F8
#define bwb_OPTION_BUGS_BOOLEAN          X000F9
#define bwb_OPTION_BUGS_OFF              X000FA
#define bwb_OPTION_BUGS_ON               X000FB
#define bwb_OPTION_COMPARE               X000FC
#define bwb_OPTION_COMPARE_BINARY        X000FD
#define bwb_OPTION_COMPARE_DATABASE      X000FE
#define bwb_OPTION_COMPARE_TEXT          X000FF
#define bwb_OPTION_COVERAGE              X00100
#define bwb_OPTION_COVERAGE_OFF          X00101
#define bwb_OPTION_COVERAGE_ON           X00102
#define bwb_OPTION_DATE                  X00103
#define bwb_OPTION_DIGITS                X00104
#define bwb_OPTION_DISABLE               X00105
#define bwb_OPTION_DISABLE_COMMAND       X00106
#define bwb_OPTION_DISABLE_FUNCTION      X00107
#define bwb_OPTION_DISABLE_OPERATOR      X00108
#define bwb_OPTION_EDIT                  X00109
#define bwb_OPTION_ENABLE                X0010A
#define bwb_OPTION_ENABLE_COMMAND        X0010B
#define bwb_OPTION_ENABLE_FUNCTION       X0010C
#define bwb_OPTION_ENABLE_OPERATOR       X0010D
#define bwb_OPTION_ERROR                 X0010E
#define bwb_OPTION_ERROR_GOSUB           X0010F
#define bwb_OPTION_ERROR_GOTO            X00110
#define bwb_OPTION_EXPLICIT              X00111
#define bwb_OPTION_EXTENSION             X00112
#define bwb_OPTION_FILES                 X00113
#define bwb_OPTION_IMPLICIT              X00114
#define bwb_OPTION_INDENT                X00115
#define bwb_OPTION_LABELS                X00116
#define bwb_OPTION_LABELS_OFF            X00117
#define bwb_OPTION_LABELS_ON             X00118
#define bwb_OPTION_PROMPT                X00119
#define bwb_OPTION_PUNCT                 X0011A
#define bwb_OPTION_PUNCT_AT              X0011B
#define bwb_OPTION_PUNCT_BYTE            X0011C
#define bwb_OPTION_PUNCT_COMMENT         X0011D
#define bwb_OPTION_PUNCT_CURRENCY        X0011E
#define bwb_OPTION_PUNCT_DOUBLE          X0011F
#define bwb_OPTION_PUNCT_FILENUM         X00120
#define bwb_OPTION_PUNCT_IMAGE           X00121
#define bwb_OPTION_PUNCT_INPUT           X00122
#define bwb_OPTION_PUNCT_INTEGER         X00123
#define bwb_OPTION_PUNCT_LONG            X00124
#define bwb_OPTION_PUNCT_LPAREN          X00125
#define bwb_OPTION_PUNCT_PRINT           X00126
#define bwb_OPTION_PUNCT_QUOTE           X00127
#define bwb_OPTION_PUNCT_RPAREN          X00128
#define bwb_OPTION_PUNCT_SINGLE          X00129
#define bwb_OPTION_PUNCT_STATEMENT       X0012A
#define bwb_OPTION_PUNCT_STRING          X0012B
#define bwb_OPTION_RECLEN                X0012C
#define bwb_OPTION_RENUM                 X0012D
#define bwb_OPTION_ROUND                 X0012E
#define bwb_OPTION_ROUND_BANK            X0012F
#define bwb_OPTION_ROUND_MATH            X00130
#define bwb_OPTION_ROUND_TRUNCATE        X00131
#define bwb_OPTION_SCALE                 X00132
#define bwb_OPTION_SLEEP                 X00133
#define bwb_OPTION_STDERR                X00134
#define bwb_OPTION_STDIN                 X00135
#define bwb_OPTION_STDOUT                X00136
#define bwb_OPTION_STRICT                X00137
#define bwb_OPTION_STRICT_OFF            X00138
#define bwb_OPTION_STRICT_ON             X00139
#define bwb_OPTION_TERMINAL              X0013A
#define bwb_OPTION_TERMINAL_ADM          X0013B
#define bwb_OPTION_TERMINAL_ANSI         X0013C
#define bwb_OPTION_TERMINAL_NONE         X0013D
#define bwb_OPTION_TIME                  X0013E
#define bwb_OPTION_TRACE                 X0013F
#define bwb_OPTION_TRACE_OFF             X00140
#define bwb_OPTION_TRACE_ON              X00141
#define bwb_OPTION_USING                 X00142
#define bwb_OPTION_USING_ALL             X00143
#define bwb_OPTION_USING_COMMA           X00144
#define bwb_OPTION_USING_DIGIT           X00145
#define bwb_OPTION_USING_DOLLAR          X00146
#define bwb_OPTION_USING_EXRAD           X00147
#define bwb_OPTION_USING_FILLER          X00148
#define bwb_OPTION_USING_FIRST           X00149
#define bwb_OPTION_USING_LENGTH          X0014A
#define bwb_OPTION_USING_LITERAL         X0014B
#define bwb_OPTION_USING_MINUS           X0014C
#define bwb_OPTION_USING_PERIOD          X0014D
#define bwb_OPTION_USING_PLUS            X0014E
#define bwb_OPTION_VERSION               X0014F
#define bwb_OPTION_ZONE                  X00150
#define bwb_PAUSE                        X00151
#define bwb_PDEL                         X00152
#define bwb_POP                          X00153
#define bwb_PRINT                        X00154
#define bwb_PTP                          X00155
#define bwb_PTR                          X00156
#define bwb_PUT                          X00157
#define bwb_QUIT                         X00158
#define bwb_READ                         X00159
#define bwb_RECALL                       X0015A
#define bwb_REM                          X0015B
#define bwb_RENAME                       X0015C
#define bwb_RENUM                        X0015D
#define bwb_RENUMBER                     X0015E
#define bwb_REPEAT                       X0015F
#define bwb_REPLACE                      X00160
#define bwb_RESET                        X00161
#define bwb_RESTORE                      X00162
#define bwb_RESUME                       X00163
#define bwb_RETURN                       X00164
#define bwb_RSET                         X00165
#define bwb_RUN                          X00166
#define bwb_RUNNH                        X00167
#define bwb_SAVE                         X00168
#define bwb_SCRATCH                      X00169
#define bwb_SELECT                       X0016A
#define bwb_SELECT_CASE                  X0016B
#define bwb_STEP                         X0016C
#define bwb_STOP                         X0016D
#define bwb_STORE                        X0016E
#define bwb_SUB                          X0016F
#define bwb_SUBEND                       X00170
#define bwb_SUBEXIT                      X00171
#define bwb_SUB_END                      X00172
#define bwb_SUB_EXIT                     X00173
#define bwb_SWAP                         X00174
#define bwb_SYSTEM                       X00175
#define bwb_TEXT                         X00176
#define bwb_THEN                         X00177
#define bwb_TIMER                        X00178
#define bwb_TIMER_OFF                    X00179
#define bwb_TIMER_ON                     X0017A
#define bwb_TIMER_STOP                   X0017B
#define bwb_TLOAD                        X0017C
#define bwb_TO                           X0017D
#define bwb_TRACE                        X0017E
#define bwb_TRACE_OFF                    X0017F
#define bwb_TRACE_ON                     X00180
#define bwb_TSAVE                        X00181
#define bwb_TTY                          X00182
#define bwb_TTY_IN                       X00183
#define bwb_TTY_OUT                      X00184
#define bwb_UNTIL                        X00185
#define bwb_USE                          X00186
#define bwb_VARS                         X00187
#define bwb_WEND                         X00188
#define bwb_WHILE                        X00189
#define bwb_WRITE                        X0018A
#define bwb_clrexec                      X0018B
#define bwb_decexec                      X0018C
#define bwb_execline                     X0018D
#define bwb_fclose                       X0018E
#define bwb_file_open                    X0018F
#define bwb_fload                        X00190
#define bwb_freeline                     X00191
#define bwb_incexec                      X00192
#define bwb_is_eof                       X00193
#define bwb_isalnum                      X00194
#define bwb_isalpha                      X00195
#define bwb_iscntrl                      X00196
#define bwb_isdigit                      X00197
#define bwb_isgraph                      X00198
#define bwb_islower                      X00199
#define bwb_isprint                      X0019A
#define bwb_ispunct                      X0019B
#define bwb_isspace                      X0019C
#define bwb_isupper                      X0019D
#define bwb_isxdigit                     X0019E
#define bwb_mainloop                     X0019F
#define bwb_memchr                       X001A0
#define bwb_memcmp                       X001A1
#define bwb_memcpy                       X001A2
#define bwb_memmove                      X001A3
#define bwb_memset                       X001A4
#define bwb_option_punct_char            X001A5
#define bwb_option_range_integer         X001A6
#define bwb_rint                         X001A7
#define bwb_scan                         X001A8
#define bwb_strcat                       X001A9
#define bwb_strchr                       X001AA
#define bwb_strcmp                       X001AB
#define bwb_strcpy                       X001AC
#define bwb_strdup                       X001AD
#define bwb_strdup2                      X001AE
#define bwb_stricmp                      X001AF
#define bwb_strlen                       X001B0
#define bwb_strncat                      X001B1
#define bwb_strncmp                      X001B2
#define bwb_strncpy                      X001B3
#define bwb_strnicmp                     X001B4
#define bwb_strrchr                      X001B5
#define bwb_tolower                      X001B6
#define bwb_toupper                      X001B7
#define bwb_vector                       X001B8
#define bwb_vertable                     X001B9
#define bwb_xnew                         X001BA
#define bwx_CLS                          X001BB
#define bwx_COLOR                        X001BC
#define bwx_Error                        X001BD
#define bwx_LOCATE                       X001BE
#define bwx_STOP                         X001BF
#define bwx_TIMER                        X001C0
#define bwx_input                        X001C1
#define bwx_terminate                    X001C2
#define clear_virtual_by_file            X001C3
#define field_close_file                 X001C4
#define field_free_variable              X001C5
#define field_get                        X001C6
#define field_put                        X001C7
#define file_clear                       X001C8
#define file_new                         X001C9
#define file_next_number                 X001CA
#define find_file_by_name                X001CB
#define find_file_by_number              X001CC
#define find_line_number                 X001CD
#define is_empty_string                  X001CE
#define line_is_eol                      X001CF
#define line_peek_EqualChar              X001D0
#define line_peek_LparenChar             X001D1
#define line_peek_QuoteChar              X001D2
#define line_peek_array_dimensions       X001D3
#define line_peek_char                   X001D4
#define line_peek_word                   X001D5
#define line_read_array_dimensions       X001D6
#define line_read_array_redim            X001D7
#define line_read_expression             X001D8
#define line_read_index_item             X001D9
#define line_read_integer_expression     X001DA
#define line_read_label                  X001DB
#define line_read_letter_sequence        X001DC
#define line_read_line_number            X001DD
#define line_read_line_sequence          X001DE
#define line_read_matrix                 X001DF
#define line_read_numeric_expression     X001E0
#define line_read_scalar                 X001E1
#define line_read_string_expression      X001E2
#define line_read_type_declaration       X001E3
#define line_read_varname                X001E4
#define line_skip_AtChar                 X001E5
#define line_skip_CommaChar              X001E6
#define line_skip_EqualChar              X001E7
#define line_skip_FilenumChar            X001E8
#define line_skip_LparenChar             X001E9
#define line_skip_MinusChar              X001EA
#define line_skip_PlusChar               X001EB
#define line_skip_RparenChar             X001EC
#define line_skip_SemicolonChar          X001ED
#define line_skip_StarChar               X001EE
#define line_skip_char                   X001EF
#define line_skip_eol                    X001F0
#define line_skip_seperator              X001F1
#define line_skip_spaces                 X001F2
#define line_skip_word                   X001F3
#define line_start                       X001F4
#define mat_find                         X001F5
#define str_btob                         X001F6
#define str_cmp                          X001F7
#define str_match                        X001F8
#define var_CLEAR                        X001F9
#define var_chain                        X001FA
#define var_delcvars                     X001FB
#define var_find                         X001FC
#define var_free                         X001FD
#define var_get                          X001FE
#define var_init                         X001FF
#define var_make                         X00200
#define var_nametype                     X00201
#define var_new                          X00202
#define var_set                          X00203


/* EOF */
